Show / Hide Table of Contents

# Struct TargetSystem

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Control

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct TargetSystem

### Fields

| Improve this Doc View Source

#### FocusTarget

##### Declaration

    public GameObject*FocusTarget

##### Field Value

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### GPoseTarget

##### Declaration

    public GameObject*GPoseTarget

##### Field Value

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### MouseOverNameplateTarget

##### Declaration

    public GameObject*MouseOverNameplateTarget

##### Field Value

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### MouseOverTarget

##### Declaration

    public GameObject*MouseOverTarget

##### Field Value

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### ObjectFilterArray0

##### Declaration

    public GameObjectArray ObjectFilterArray0

##### Field Value

Type | Description
--- | ---
GameObjectArray |

| Improve this Doc View Source

#### ObjectFilterArray1

##### Declaration

    public GameObjectArray ObjectFilterArray1

##### Field Value

Type | Description
--- | ---
GameObjectArray |

| Improve this Doc View Source

#### ObjectFilterArray2

##### Declaration

    public GameObjectArray ObjectFilterArray2

##### Field Value

Type | Description
--- | ---
GameObjectArray |

| Improve this Doc View Source

#### ObjectFilterArray3

##### Declaration

    public GameObjectArray ObjectFilterArray3

##### Field Value

Type | Description
--- | ---
GameObjectArray |

| Improve this Doc View Source

#### PreviousTarget

##### Declaration

    public GameObject*PreviousTarget

##### Field Value

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### SoftTarget

##### Declaration

    public GameObject*SoftTarget

##### Field Value

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### Target

##### Declaration

    public GameObject*Target

##### Field Value

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### TargetObjectId

##### Declaration

    public uint TargetObjectId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### GetCurrentTarget()

##### Declaration

    public GameObject*GetCurrentTarget()

##### Returns

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### GetCurrentTargetID()

##### Declaration

    public uint GetCurrentTargetID()

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetMouseOverObject(Int32, Int32)

##### Declaration

    public GameObject*GetMouseOverObject(int x, int y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x |
System.Int32 | y |

##### Returns

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### GetMouseOverObject(Int32, Int32, GameObjectArray*, Camera*)

##### Declaration

    public GameObject*GetMouseOverObject(int x, int y, GameObjectArray*objectArray, Camera*camera)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x |
System.Int32 | y |
GameObjectArray* | objectArray |
Camera* | camera |

##### Returns

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static TargetSystem*Instance()

##### Returns

Type | Description
--- | ---
TargetSystem* |

| Improve this Doc View Source

#### InteractWithObject(GameObject*, Boolean)

##### Declaration

    public ulong InteractWithObject(GameObject*obj, bool checkLineOfSight = true)

##### Parameters

Type | Name | Description
--- | --- | ---
GameObject* | obj |
System.Boolean | checkLineOfSight |

##### Returns

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### IsObjectInViewRange(GameObject*)

##### Declaration

    public bool IsObjectInViewRange(GameObject*obj)

##### Parameters

Type | Name | Description
--- | --- | ---
GameObject* | obj |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### OpenObjectInteraction(GameObject*)

##### Declaration

    public void OpenObjectInteraction(GameObject*obj)

##### Parameters

Type | Name | Description
--- | --- | ---
GameObject* | obj |